package entity

import "ark-permission/internal/domain"

type RoleLog struct {
	ID             string       `json:"id,omitempty"`
	Before         AlterRoleLog `json:"before"`
	After          AlterRoleLog `json:"after"`
	Name           string       `json:"name"`
	UID            string       `json:"uid"`
	UpdateUserUID  string       `json:"update_user_uid"`
	UpdateUserName string       `json:"update_user_name"`
	CreateTime     int64        `json:"create_time"`
	Version        string       `json:"ver"`
}

type AlterRoleLog struct {
	Permissions []AlterPermission `json:"permissions"`
	Status      int               `json:"status"`
}

type AlterPermission struct {
	Name   string                  `json:"name"`
	Status domain.PermissionStatus `json:"status"`
}
